## org.eclipse.uml2.uml
Interface InvocationAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  BroadcastSignalAction, CallAction, CallBehaviorAction, CallOperationAction, SendObjectAction, SendSignalAction, StartObjectBehaviorAction

    public interface InvocationAction

extends Action

A representation of the model object 'Invocation Action'. InvocationAction is an abstract class for the various actions that invoke behavior. In addition to targeting an object, invocation actions can also invoke behavioral features on ports from where the invocation requests are routed onwards on links deriving from attached connectors. Invocation actions may also be sent to a target via a given port, either on the sending object or on another object.

The following features are supported:

- `Argument`
- `On Port`

See Also:
  `UMLPackage.getInvocationAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createArgument(java.lang.String name, Type type)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Argument' containment reference list
`InputPin` `createArgument(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Argument' containment reference list
`InputPin` `getArgument(java.lang.String name, Type type)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Argument' containment reference list
`InputPin` `getArgument(java.lang.String name, Type type, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Argument' containment reference list
`org.eclipse.emf.common.util.EList<InputPin>` `getArguments()` Returns the value of the 'Argument' containment reference list.
`Port` `getOnPort()` Returns the value of the 'On Port' reference
`void` `setOnPort(Port value)` Sets the value of the '`On Port`' reference
`boolean` `validateOnPortReceiver(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The onPort must be a port on the receiver object.

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getArguments

    org.eclipse.emf.common.util.EList<InputPin> getArguments()

  Returns the value of the 'Argument' containment reference list. The list contents are of type `InputPin`.

  This feature subsets the following features:

  - '`Input`'
  Specification of the ordered set of argument values that appears during execution.

  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `UMLPackage.getInvocationAction_Argument()`

### createArgument

    InputPin createArgument(java.lang.String name,
                            Type type,
                            org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Argument' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getArguments()`

### createArgument

    InputPin createArgument(java.lang.String name,
                            Type type)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and appends it to the 'Argument' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getArguments()`

### getArgument

    InputPin getArgument(java.lang.String name,
                         Type type)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Argument' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getArguments()`

### getArgument

    InputPin getArgument(java.lang.String name,
                         Type type,
                         boolean ignoreCase,
                         org.eclipse.emf.ecore.EClass eClass,
                         boolean createOnDemand)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Argument' containment reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `InputPin` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `InputPin` on demand if not found.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getArguments()`

### getOnPort

    Port getOnPort()

  Returns the value of the 'On Port' reference. A optional port of the receiver object on which the behavioral feature is invoked.

  Returns:
    the value of the 'On Port' reference.
  See Also:
    `setOnPort(Port)`, `UMLPackage.getInvocationAction_OnPort()`

### setOnPort

    void setOnPort(Port value)

  Sets the value of the '`On Port`' reference.

  Parameters:
    `value` - the new value of the 'On Port' reference.
  See Also:
    `getOnPort()`

### validateOnPortReceiver

    boolean validateOnPortReceiver(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

  The onPort must be a port on the receiver object. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.